Skip to main content
npayload is launching soon.
npayloadDocs
API ReferenceEnvironments

Get environment details

GET/v1/apps/{appId}/environments/{envId}

Authorization

ApiKeyAuth
AuthorizationBearer <token>

API key authentication. Keys are prefixed with environment:

  • npk_live_ for production
  • npk_test_ for testing/staging

In: header

Path Parameters

appId*string

Application ID

envId*string

Environment ID

Response Body

application/json

application/json

application/json

curl -X GET "https://api.npayload.com/v1/apps/string/environments/string"
{
  "id": "string",
  "name": "string",
  "displayName": "string",
  "isProduction": true,
  "createdAt": "2019-08-24T14:15:22Z"
}
{
  "error": {
    "code": "UNAUTHORIZED",
    "message": "Invalid or missing API key"
  }
}
{
  "error": {
    "code": "NOT_FOUND",
    "message": "Resource not found"
  }
}

Was this page helpful?